## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/slackhq/nebula
%global goipath         github.com/slackhq/nebula
Version:                1.6.1

%gometa
%global goname nebula

%global common_description %{expand:
A scalable overlay networking tool with a focus on performance, simplicity and
security.}

%global golicenses      LICENSE
%global godocs          examples AUTHORS README.md CHANGELOG.md

Name:           %{goname}
Release:        %autorelease
Summary:        A scalable overlay networking tool with a focus on performance, simplicity and security

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  systemd-rpm-macros

# Let's be sure that people do not upgrade from the "old" nebula. We can sensibly drop it by F39
Conflicts:      nebula < 1.0

%description
%{common_description}

%gopkg

%prep
%goprep
# https://github.com/slackhq/nebula/pull/791
sed -i 's/\(Wants=.*\)$/\1 nss-lookup.target time-sync.target/' dist/fedora/nebula.service

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS="-X main.Build=%{version}-Fedora $(LDFLAGS)"
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                             %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/*         %{buildroot}%{_bindir}/
install -m 0755 -vd                             %{buildroot}%{_sysconfdir}/%{name}
install -m 0640 -vp examples/config.yml         %{buildroot}%{_sysconfdir}/%{name}
install -m 0644 -vDp dist/fedora/nebula.service %{buildroot}%{_unitdir}/%{name}.service

%if %{with check}
%check
%gocheck
%endif

%post
%systemd_post nebula.service

%preun
%systemd_preun nebula.service

%postun
%systemd_postun_with_restart nebula.service

%files
%license LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.yml
%doc examples AUTHORS README.md CHANGELOG.md
%{_bindir}/*
%{_unitdir}/%{name}.service

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 26 2022 Fabio Alessandro Locati <me@fale.io> 1.6.1-3
- Backport https://github.com/slackhq/nebula/commit/3ae242fa5f1858e5b229683
  ce021e8e6702cc8e7 - Add time-sync.target as wants

* Sat Dec 10 2022 Fabio Alessandro Locati <me@fale.io> 1.6.1-2
- Ensure DNS is running before starting nebula

* Mon Oct 10 2022 Fabio Alessandro Locati <me@fale.io> 1.6.1-1
- update to 1.6.1

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> 1.6.0-4
- Rebuild to fix FTBFS

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 1.6.0-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jul 17 2022 Fabio Alessandro Locati <me@fale.io> 1.6.0-1
- update to 1.6.0

* Thu Jun 23 2022 Maxwell G <gotmax@e.email> 1.5.2-5
- Rebuild to mitigate CVE-2022-21698 (rhbz#2067400).

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.5.2-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Jun 04 2022 Fabio Alessandro Locati <me@fale.io> 1.5.2-3
- add conflict with old nebula

* Fri Jun 03 2022 Fabio Alessandro Locati <me@fale.io> 1.5.2-1
- first version, fixes rhbz#2091291

* Fri Jun 03 2022 Tomas Hrcka <thrcka@redhat.com> 0.2.3-1
- Unretirement request: https://pagure.io/releng/issue/10822
